<div class="basic-page">
  <div class="page-header">
    <h3>{{"Economic.Company.AllTitle" | translate }}</h3>
  </div>
  <p>{{"Economic.Company.CompOrgOwns" | translate }}</p>
  <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
    <div style="padding-top: 15px;" class="listitem-container alternative">
      <div nz-row ngClass="listitem header" nzType="flex" nzAlign="middle" nzJustify="start">
        <div nz-col nzXs="8"></div>
        <div nz-col nzXs="8">
          {{"Economic.Company.Type" | translate }} / {{"Economic.Company.Quality" | translate }}
        </div>
        <div nz-col nzXs="8">
          {{"Economic.Entity.Location" | translate }}
        </div>
      </div>
      <div ngClass="listitem" *ngFor="let item of list" nz-row nzType="flex" nzAlign="middle" nzJustify="start">
        <div nz-col nzXs="8" ngClass="first">
          <a href="{{hostUrl}}/company/{{item.id}}" target="_blank">
            <img class="avatar small" src="{{hostUrl}}/{{item.avatarLocation}}">
            <br />
            {{ item.name }}
          </a>
        </div>
        <div nz-col nzXs="8">
          <img class="small" src="{{hostUrl}}/assets/img/ico/eco/prod/{{item.industryIcon.toLowerCase()}}.png" />
          <br />
          <span class="gold" *ngFor="let i of item.quality | q">&#9733;</span>
        </div>
        <div nz-col nzXs="8" ngClass="last">
          <a href="{{hostUrl}}/region/{{item.region.entityId}}" target="_blank">{{item.region.name}}</a>,
          <a href="{{hostUrl}}/country/{{item.region.countryId}}" target="_blank">{{item.region.countryName}}</a>
        </div>
      </div>
    </div>
  </nz-spin>
  <div ngClass="padded" nz-row nzType="flex" nzAlign="middle" nzJustify="end">
    <div nz-col nzXs="12" style="text-align: right;">
      <a nz-button nzType="green" target="_blank"
        href="{{hostUrl}}/company/create">{{"Economic.Company.CreateCompany" | translate }}</a>
    </div>
  </div>
</div>
